# -*- coding: utf-8 -*-

# mapWOC
#
# Description: Test Result Analysis.
#
# Authors:
# Felix Wolfsteller <felix.wolfsteller@intevation.de>
#
# Copyright:
# Copyright (C) 2011 Bundesamt für Sicherheit in der Informationstechnik
#
# This program is free software; you can redistribute it and/or modify
# it under the terms of the GNU General Public License version 2,
# or, at your option, any later version as published by the Free
# Software Foundation
#
# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details.
#
# You should have received a copy of the GNU General Public License
# along with this program; if not, write to the Free Software
# Foundation, Inc., 51 Franklin St, Fifth Floor, Boston, MA 02110-1301 USA.

import json
import unittest

from mapwoc.lib.hc import HC
from mapwoc.lib.hccontrol import HCControl
from mapwoc.lib.message import Message
from mapwoc.lib.redirectorvisit import RedirectorVisit
from mapwoc.lib.scanconfiguration import VisitorBundle, VisitorConfiguration
from mapwoc.lib.trivialresponse import TrivialResponse
from mapwoc.lib.url import URL

from mapwoc.lib.mapwoc_json import MapWOCJSONEncoder, mapwoc_from_json_hook

class TestDumpAnalyse(unittest.TestCase):

    def test_EmptyDump(self):
        self.assertEqual(True, False)

    def test_SingleVisit(self):
        self.assertEqual(Tru, False)
